# my_route

Route manager by CIDR lists

* [`my_route`.py](https://git.hmp.today/pavel.muhortov/my_route#my_route-py)

____

## `my_route`.py

**Description:**  
> Route management by CIDR lists.  

**Dependencies:**  
>
> * privileged rights
> * [Python 3](https://www.python.org/downloads/) (tested version 3.9.5 on [Debian GNU/Linux 11](http://ftp.debian.org/debian/dists/bullseye/))
> * [git](https://git-scm.com/) (tested version 2.30.2 on [Debian GNU/Linux 11](http://ftp.debian.org/debian/dists/bullseye/))

|  PARAMETERS | DESCRIPTION | DEFAULT|
|-------------|-------------|--------|
|**[-h]**|print help and exit||
|**[--config]**|custom configuration file path|`./my_route.conf`|
|**[-a, --add]**|add routes specified by config|`False`|
|**[-d, --del]**|del routes specified by config|`False`|
|**[-i, --imitate]**|only showing commands without applying them|`False`|
|**[-u, --update]**|update cidr file db|`False`|
|**[-f, --force]**|force download sources for update|`False`|

### Example usage my_route.py

```bash
# download my_route.py
sudo wget https://git.hmp.today/pavel.muhortov/my_route/raw/branch/master/my_route.py -O /usr/local/bin/my_route.py
sudo chmod +x /usr/local/bin/my_route.py
```

```bash
# download and edit my_route.conf
sudo wget https://git.hmp.today/pavel.muhortov/my_route/raw/branch/master/my_route.conf -O /usr/local/bin/my_route.conf
sudo nano /usr/local/bin/my_route.conf
```

```bash
# create and edit cidr files or update by sources
sudo mkdir /usr/local/bin/my_route.db
sudo tee /usr/local/bin/my_route.db/sources/custom.cidr > /dev/null <<'EOF'
34.117.59.81/32     # ipinfo.io
EOF
```

```bash
# sudo crontab -e
0 0 * * * /usr/bin/python3 /usr/local/bin/my_route.py --update --force
```
